#!/bin/bash
# Copyright (c) 2023 ECMWF
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.


if [ "${DIB_DEBUG_TRACE:-0}" -gt 0 ]; then
    set -x
fi
set -eu
set -o pipefail

case "$DIB_INIT_SYSTEM" in
    systemd)
        systemctl enable fail2ban.service
        ;;
    openrc)
        rc-update add fail2ban default
        ;;
    *)
        echo "Unsupported init system $DIB_INIT_SYSTEM"
        exit 1
        ;;
esac

if [ -z "${DIB_FAIL2BAN_CONF:-}" ] ; then
    echo "DIB_FAIL2BAN_CONF is not set - no fail2ban config can be found"
    exit 0
fi

for file in $DIB_FAIL2BAN_CONF; do
    if [ -f $file ]; then
        echo "$file is not a valid fail2ban file"
        echo "We need a proper file DIB_FAIL2BAN.CONF"
    fi
done
